<template>
  <section waiting>
    <div spinner></div>
    <span message>loading...</span>
  </section>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";

@Component
export default class extends Vue {}
</script>

<style scoped lang="scss">
$size: 20px;
$color: #0033a0;

[waiting] {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

[spinner] {
  width: $size;
  height: $size;
  border: 2px dashed $color;
  border-radius: 100%;
  animation-name: load;
  animation-duration: 2.5s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
}
[message] {
  font-size: 0.6em;
  margin-top: 10px;
  opacity: 0.6;
}

@keyframes load {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
</style>
